MONGOC_READ_PREFS_NEW(3)

NAME
mongoc_read_prefs_new() - Creates a new mongoc_read_prefs_t using the mode specified.

SYNOPSIS

mongoc_read_prefs_t *
mongoc_read_prefs_new (mongoc_read_mode_t read_mode);

PARAMETERS

read_mode
    A mongoc_read_mode_t \&.

DESCRIPTION

Creates a new mongoc_read_prefs_t using the mode specified.

RETURNS

Returns a newly allocated mongoc_read_prefs_t that should be freed with mongoc_read_prefs_destroy(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.